package com.qucheng.game.data.oldsystem.pojo;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class FlinkAppConfigParam {
    /**
     * 保存路径
     */
    private String savePath;
    /**
     * checkpoint间隔时间（秒）
     */
    private Long interval;
    /**
     * checkpoint超时时间（秒）
     */
    private Long timeout;
    /**
     * checkpoint最小间隔时间（秒）
     */
    private Long minBetween;
}
