package com.qucheng.game.data.oldsystem.pojo;

import io.debezium.data.Envelope;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class TransportMap implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 数据库名
     */
    private String dbName;
    /**
     * 表名
     */
    private String tableName;
    /**
     * 主键
     */
    private List<String> primaryKeys;
    /**
     * 操作类型
     */
    private Envelope.Operation operation;

    private Map<String, Object> before;

    private Map<String, Object> after;
}
